import request from "@/api/request";

export function createGroupPushTask(data) {
  return request("/v1/workbench/create", { ...data, type: 3 }, "POST");
}
// 获取自动点赞任务详情
export function fetchGroupPushTaskDetail(id: string) {
  return request("/v1/workbench/detail", { id }, "GET");
}

export function updateGroupPushTask(data) {
  return request("/v1/workbench/update", { ...data, type: 3 }, "POST");
}
// 获取京东社交媒体列表
export const fetchSocialMediaList = async () => {
  return request("/v1/workbench/getJdSocialMedia", {}, "GET");
};

// 获取京东推广站点列表
export const fetchPromotionSiteList = async (id: number) => {
  return request("/v1/workbench/getJdPromotionSite", { id }, "GET");
};
